mysqli::__construct
mysqli::dump_debug_info
mysqli
PHP Manual

# mysqli::debug

# mysqli_debug

(PHP 5)

mysqli::debug -- mysqli_debug — Performs debugging operations

### Description

Object oriented style

bool mysqli::debug ( string `$message` )

Procedural style

bool mysqli_debug ( string `$message` )

Performs debugging operations using the Fred Fish debugging library.

### Parameters

`message`

  A string representing the debugging operation to perform

### Return Values

Returns `TRUE`.

### Notes

> Note:

> To use the mysqli_debug() function you must compile the MySQL client library to support debugging.

### Examples

Example #1 Generating a Trace File

`<?php
/* Create a trace file in '/tmp/client.trace' on the local (client) machine: */
mysqli_debug("d:t:o,/tmp/client.trace");
?>`

### See Also

- mysqli_dump_debug_info() - Dump debugging information into the log
- mysqli_report() - Alias of of mysqli_driver->report_mode

mysqli::__construct
mysqli::dump_debug_info
mysqli
PHP Manual